/* $VER: obtaindatatype.rexx 1.1 (24.5.97) */

PARSE ARG fname
OPTIONS RESULTS

/* Load the datatypes.library as a function host */
IF ~SHOW( 'L', 'datatypes.library' ) THEN
    CALL ADDLIB( 'datatypes.library', 0, -30 )

    IF fname="" THEN DO
        SAY "Usage:"
        SAY "  rx obtaindatatype <filename>"
        EXIT
    END

    res = ObtainDataType( FILE, fname, dtstem. )

    IF res = 0 THEN
    DO
        SAY '             Name:' dtstem.header.name
        SAY '         Basename:' dtstem.header.basename
        SAY '          Pattern:' dtstem.header.pattern
        SAY '          GroupID:' dtstem.header.groupid
        SAY '               ID:' dtstem.header.id
        SAY '         Basetype:' dtstem.header.basetype
        SAY '     Functionname:' dtstem.functionname

        /*  ATTRLIST not set up in V45 */

        DO i = 0 TO (dtstem.toollist.count - 1)
            SAY 'Tool Node ' i
            SAY '          Program:' dtstem.toollist.i.program
            SAY '            Which:' dtstem.toollist.i.which
            SAY '           Launch:' dtstem.toollist.i.launch
            SAY '            Flags:' dtstem.toollist.i.flags
        END

        SAY 'Following tools are able to edit this datatype:'

        toolindex = -1

        DO FOREVER
            toolindex = FindTool( dtstem.toollist., toolindex, "edit",, )

            IF toolindex = -1 THEN LEAVE

            SAY '          Program:' dtstem.toollist.toolindex.program
            SAY '            Which:' dtstem.toollist.toolindex.which
            SAY '           Launch:' dtstem.toollist.toolindex.launch
            SAY '            Flags:' dtstem.toollist.toolindex.flags
        END
    END
    ELSE
    DO
      SAY 'ObtainDataType failed' GetDTString( res, fname )
    END
EXIT

